package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolPresetRecord;

import java.util.List;

public interface IPatrolPresetRecordService {
    PatrolPresetRecord selectPatrolPresetRecordByPresetRecordId(Long recordId);

    List<PatrolPresetRecord> selectPatrolPresetRecordList(PatrolPresetRecord record);

    int insertPatrolPresetRecord(PatrolPresetRecord record);

    int updatePatrolPresetRecord(PatrolPresetRecord record);

    int deletePatrolPresetRecordByPresetRecordIds(Long[] recordIds);

    int deletePatrolPresetRecordByPresetRecordId(Long recordId);
}
